/** 
 * El programa RaicesCuadratica calcula las raices de la ecuacion
 * cuadratica ax^2+bx+c=0 usando la ecuacion
 * x1=(-b+sqrt(b^2-4a*c)) /2*a
 * x2=(-b-sqrt(b^2-4a*c)) /2*a
 * 
 */
class RaicesCuadratica
 {
  public static void main(String[] args)
   {String programa = "RaicesCuadratica";
    boolean continua=true;    
    double a=0,b=0,c=0,x1,x1i,x2,x2i;
    double determinante;
    double raiz;
    String mensaje="";
    Ip.escribeMensaje("Inicia la ejecucion del programa " + programa);
    while(continua) {
    	  a=Ip.wlee("valor de a? ",a);
    	  b=Ip.wlee("valor de b? ",b);
    	  c=Ip.wlee("valor de c? ",c);
    	  determinante = (b*b) - 4*a*c;
    	  if (determinante < 0)
             { //Ecuacion con raices imaginarias o complejas
               x1=-b/(2*a);
	           x2=x1;
	           determinante=-determinante;
	           //conversion usando casting (el tipo entre parentesis)
	           //esto funciona de mayor a menor precision
	           raiz= Math.sqrt(determinante);
	           x1i=(raiz)/(2*a);
	           //Esta es la conversion, usando clases de utileria
	           x2i=-x1i;
	           mensaje = "Solucin a la cuadratica "+a +"X^2 "+ b + "X "+ c +
	                     "\nX1 real      :"  + x1 +
	           	         "\nX1 imaginaria:"  + x1i +
	                     "\nX2 real      :"  + x2 +
	                     "\nX2 imaginaria:"  + x2i;
	           Ip.wescribeMensaje(mensaje);          
	          }
          else
   	         { //Ecuacin con raices reales
   	           raiz= (float) Math.sqrt(determinante);
   	           x1=(-b+raiz)/(2*a);
	           x2=(-b-raiz)/(2*a);
	           x2=(-b-(float)(Math.sqrt(determinante)))/(2*a);
	           mensaje = "Solucin a la cuadratica "+a +"X^2 "+ b + "X "+ c +
	                     "\nX1 = :"+x1 +
	                     "\nX2 = :"+x2;
	           Ip.wescribeMensaje(mensaje);
             }
 		continua=Ip.wleeRespuesta("Deseas resolver otra ecuacion? ");
     } 
    Ip.escribeMensaje("Termina la ejecucion del programa "+ programa);
  }//Termina el proceso 
 }//Termina el programa  
 